3.6. Monter et démonter des systèmes de fichiers
Précédent | Chapitre 3. Quelques bases d'UNIX | Suivant

## 3.6. Monter et démonter des systèmes de fichiers

Le système de fichiers peut être vu comme un arbre enraciné sur le répertoire `/`. `/dev`, `/usr`, et les autres répertoires dans le répertoire racine sont des branches, qui peuvent avoir leurs propres branches, comme `/usr/local`, et ainsi de suite.

Il y a diverses raisons pour héberger certains de ces répertoires sur des systèmes de fichiers séparés. `/var` contient les répertoires `log/`, `spool/`, et divers types de fichiers temporaires, et en tant que tels, peuvent voir leur taille augmenter de façon importante. Remplir le système de fichiers racine n'est pas une bonne idée, aussi séparer `/var` de `/` est souvent favorable.

Une autre raison courante de placer certains répertoires sur d'autres systèmes de fichiers est s'ils doivent être hébergés sur des disques physiques séparés, ou sur des disques virtuels séparés, comme les systèmes de fichiers réseau, ou les lecteurs de CDROM.

### 3.6.1. Le fichier `fstab`

Durant le processus de démarrage, les systèmes de fichiers listés dans `/etc/fstab` sont automatiquement montés (à moins qu'il ne soient listés avec l'option `noauto`).

Le fichier `/etc/fstab` contient une liste de lignes au format suivant:

`device` `/mount-point` `fstype` `options` `dumpfreq` `passno`

`device`

  Un nom de périphérique (qui devrait exister), comme expliqué dans la Section 18.2, « Noms des périphériques ».

`mount-point`

  Un répertoire (qui devrait exister), sur lequel sera monté le système de fichier.

`fstype`

  Le type de système de fichiers à indiquer à mount(8). Le système de fichiers par défaut de FreeBSD est l'`ufs`.

`options`

  Soit `rw` pour des systèmes de fichiers à lecture-écriture, soit `ro` pour des systèmes de fichiers à lecture seule, suivi par toute option qui peut s'avérer nécessaire. Une option courante est `noauto` pour les systèmes de fichiers qui ne sont normalement pas montés durant la séquence de démarrage. D'autres options sont présentées dans la page de manuel mount(8).

`dumpfreq`

  C'est utilisé par dump(8) pour déterminer quels systèmes de fichiers nécessitent une sauvegarde. Si ce champ est absent, une valeur de zéro est supposée.

`passno`

  Ceci détermine l'ordre dans lequel les systèmes de fichiers devront être vérifiés. Les systèmes de fichiers qui doivent être ignorés devraient avoir leur `passno` positionné à zéro. Le système de fichiers racine (qui doit être vérifié avant tout le reste) devrait avoir son `passno` positionné à un, et les options `passno` des autres systèmes fichiers devraient être positionnées à des valeurs supérieures à un. Si plus d'un système de fichiers ont le même `passno` alors fsck(8) essaiera de vérifier les systèmes de fichiers en parallèle si c'est possible.

Consultez la page de manuel de fstab(5) pour plus d'information sur le format du fichier `/etc/fstab` et des options qu'il contient.

### 3.6.2. La commande `mount`

La commande mount(8) est ce qui est finalement utilisé pour monter des systèmes de fichiers.

Dans sa forme la plus simple, vous utilisez:

`#` `mount `device` `mountpoint``

Il y beaucoup d'options, comme mentionné dans la page de manuel mount(8), mais les plus courantes sont:

Options de montage

`-a`

  Monte tous les systèmes de fichiers listés dans `/etc/fstab`. Exception faite de ceux marqués comme “noauto”, ou exclus par le drapeau `-t`, ou encore ceux qui sont déjà montés.

`-d`

  Tout effectuer à l'exception de l'appel système de montage réel. Cette option est utile conjointement avec le drapeau `-v` pour déterminer ce que mount(8) est en train d'essayer de faire.

`-f`

  Force le montage d'un système de fichiers non propre (dangereux), ou force la révocation de l'accès en écriture quand on modifie l'état de montage d'un système de fichiers de l'accès lecture-écriture à l'accès lecture seule.

`-r`

  Monte le système de fichiers en lecture seule. C'est identique à l'utilisation de l'argument `ro` (`rdonly` pour les versions de FreeBSD antérieures à la 5.2) avec l'option `-o`.

`-t` `fstype`

  Monte le système de fichiers comme étant du type de système donné, ou monte seulement les systèmes de fichiers du type donné, si l'option `-a` est précisée.

  “ufs” est le type de système de fichiers par défaut.

`-u`

  Mets à jour les options de montage sur le système de fichiers.

`-v`

  Rends la commande prolixe.

`-w`

  Monte le système de fichiers en lecture-écriture.

L'option `-o` accepte une liste d'options séparées par des virgules, dont les suivantes:

noexec

  Ne pas autoriser l'exécution de binaires sur ce système de fichiers. C'est également une option de sécurité utile.

nosuid

  Ne pas prendre en compte les indicateurs setuid ou setgid sur le système de fichiers. C'est également une option de sécurité utile.

### 3.6.3. La commande `umount`

La commande umount(8) prend, comme paramètre, un des points de montage, un nom de périphérique, ou l'option `-a` ou `-A`.

Toutes les formes acceptent `-f` pour forcer de démontage, et `-v` pour le mode prolixe. Soyez averti que l'utilisation de `-f` n'est généralement pas une bonne idée. Démonter de force des systèmes de fichiers pourrait faire planter l'ordinateur ou endommager les données sur le système de fichiers.

Les options `-a` et `-A` sont utilisées pour démonter tous les systèmes de fichiers actuellement montés, éventuellement modifié par les types de systèmes de fichiers listés après l'option `-t`. Cependant l'option `-A`, n'essaye pas de démonter le système de fichiers racine.

Précédent | Niveau supérieur | Suivant
3.5. Organisation des disques | Sommaire | 3.7. Processus

Ce document, ainsi que d'autres peut être téléchargé sur ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/

Pour toutes questions à propos de FreeBSD, lisez la documentation avant de contacter <questions@FreeBSD.org>.
Pour les questions sur cette documentation, contactez <doc@FreeBSD.org>.